
-- @AutoRun
-- drop table tl_assessment_template;



CREATE TABLE tl_assessment_template (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    template_name varchar(100) NULL,
    user_id numeric(12)  NULL
    );



ALTER TABLE tl_assessment_template ADD    
    CONSTRAINT pk_tl_assessment_template PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
        CREATE UNIQUE INDEX idx_tl_assessment_template_TemplateName ON 
        tl_assessment_template (template_name, user_id);
    